Restart Deployment Elasticsearch Resource
- POST /deployments/{deployment_id}/elasticsearch/{ref_id}/_restart
Restarts an Elasticsearch Resource. If a Resource is active: this command re-applies the existing plan but applies a "cluster_reboot", which issues a restart command and waits for it to complete. If a Resource is inactive: this command starts it up with the most recent successful plan.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
Query Parameters
-
restore_snapshotboolean · default: true When set to true and restoring from shutdown, then will restore the cluster from the last snapshot (if available).
-
skip_snapshotboolean · default: true If true, will not take a snapshot of the cluster before restarting.
-
cancel_pendingboolean · default: false If true, cancels any pending plans before restarting. If false and there are pending plans, returns an error.
-
group_attributestring · default: __zone__ Indicates the property or properties used to divide the list of instances to restart in groups. Valid options are: '__all__' (restart all at once), '__zone__' by logical zone, '__name__' one instance at a time, or a comma-separated list of attributes of the instances
-
shard_init_wait_timeinteger · default: 600 The time, in seconds, to wait for shards that show no progress of initializing, before rolling the next group (default: 10 minutes)
Responses
The restart command was issued successfully.
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The command sent to a Resource found the Resource in an illegal state, the error message gives more details. (code: deployments.deployment_resource_plan_change_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
A Resource that was previously stored no longer exists. (code: deployments.deployment_resource_no_longer_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response